$("#slide img:gt(0)").css({ "left": "800px" });
// index 0번째 이미지를 제외한 나머지는 모두 오른쪽에 위치해있어야 합니다.

var now = 0; //현재 보여지는 img 태그의 인덱스 번호
var imgs = 4; // 이미지 개수 -1, 마지막 img 태그의 인덱스 번호

setInterval(function () { slide(); }, 2000);
function slide() {
    now = now == imgs ? 0 : ++now;
    $("#slide img").eq(now).animate({ "left": "0px" }, 1000);
    $("#slide img").eq(now - 1).animate({ "left": "-800px" }, 1000, function () {
        $(this).css({ "left": "800px" });
    });
}